GET Get viewer analytics views (deprecated)
Retrieve view analytics for a specific viewer with date range and scale grouping. This endpoint is deprecated, use /viewers/{viewerToken}/views instead
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/statistics/get-viewers-viewerToken-analytics-views.md for this page in Markdown format
GET
Try it out https://api.rooom.com/viewers/{viewerToken}/analytics/viewsDeprecatedScopes
viewer.stats:readParameters
Path Parameters
| Name | Type | Description |
|---|---|---|
viewerTokenrequiredExample: _viewerToken_ | string | Viewer token. |
Query Parameters
| Name | Type | Description | Values |
|---|---|---|---|
backtoExample: 30 days | string | Defines the date range in the past (Example: '30 days', '3 months', '1 year') | |
scaleExample: day | string | Defines the grouping scale for data aggregation | dayweekmonth |
Responses
200Successfully retrieved viewer analytics views data
401Authentication required - Invalid or missing token
500Internal server error
GET /viewers/{viewerToken}/analytics/views Get viewer analytics views (deprecated) Retrieve view analytics for a specific viewer with date range and scale grouping. This endpoint is deprecated, use /viewers/{viewerToken}/views instead Required scopes: viewer.stats:read backto Defines the date range in the past (Example: '30 days', '3 months', '1 year') scale Defines the grouping scale for data aggregation viewerToken Viewer token.